# Created by pyp2rpm-3.3.4
%global pypi_name click-didyoumean

Name:           python-%{pypi_name}
Version:        0.0.3
Release:        %mkrel 1
Summary:        Enable git-like did-you-mean feature in click
Group:          Development/Python
License:        MIT
URL:            https://github.com/timofurrer/click-didyoumean
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

# Patches adapt tests to a newer python-click (present in Fedora)
Patch0:         %{url}/pull/4.patch
Patch1:         0001-Fix-tests-some-more.patch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-click
BuildRequires:  python3-pytest
BuildRequires:  python3-prompt-toolkit

%description
Enable git-like did-you-mean feature in click.

%package -n     python3-%{pypi_name}
Summary:        Enable git-like did-you-mean feature in click
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Enable git-like did-you-mean feature in click.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%pytest

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/click_didyoumean/
%{python3_sitelib}/click_didyoumean-%{version}-py%{python3_version}.egg-info/


%changelog
* Thu Jan 07 2021 daviddavid <daviddavid> 0.0.3-1.mga8
+ Revision: 1669558
- initial package python-click-didyoumean (needed for python-celery)

